List discussions
curl --request GET \
--url https://app.orgo.space/api/v1/discussions \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/discussions"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/discussions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/discussions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/discussions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/discussions")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/discussions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"title": "Volunteer Coordinator",
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"mainPost": {
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
"/api/v1/users/1"
],
"contactMentions": [
"/api/v1/contacts/1"
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
"/api/v1/medias/1"
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"parentId": 42
},
"postsCount": 12,
"unit": {
"id": 42,
"name": "Boston Chapter"
},
"isReadOnly": true,
"topics": [
{
"id": 42,
"name": "Boston Chapter",
"type": "/api/v1/topic_types/1"
}
],
"namespace": {
"id": 42,
"name": "Boston Chapter"
},
"assignee": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"priority": 42,
"position": 42,
"isArchived": false,
"isSupport": true,
"supportMetadata": "string",
"supportAnonymous": [
"string"
],
"isIssue": true,
"issueStatus": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"issueType": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A",
"isPlatform": true
},
"dueDate": "2026-01-15T10:30:00+00:00",
"viewsCount": 12,
"reactionsCount": 12,
"issueBoardPosition": 42,
"issueStatusPosition": 42
}
]Discussion
List discussions
Returns a paginated list of discussions within the current tenant. Results are filtered by tenant automatically via Doctrine extensions. Supports standard API Platform filters.
GET
/
api
/
v1
/
discussions
List discussions
curl --request GET \
--url https://app.orgo.space/api/v1/discussions \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/discussions"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/discussions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/discussions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/discussions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/discussions")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/discussions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"title": "Volunteer Coordinator",
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"mainPost": {
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
"/api/v1/users/1"
],
"contactMentions": [
"/api/v1/contacts/1"
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
"/api/v1/medias/1"
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"parentId": 42
},
"postsCount": 12,
"unit": {
"id": 42,
"name": "Boston Chapter"
},
"isReadOnly": true,
"topics": [
{
"id": 42,
"name": "Boston Chapter",
"type": "/api/v1/topic_types/1"
}
],
"namespace": {
"id": 42,
"name": "Boston Chapter"
},
"assignee": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"priority": 42,
"position": 42,
"isArchived": false,
"isSupport": true,
"supportMetadata": "string",
"supportAnonymous": [
"string"
],
"isIssue": true,
"issueStatus": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"issueType": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A",
"isPlatform": true
},
"dueDate": "2026-01-15T10:30:00+00:00",
"viewsCount": 12,
"reactionsCount": 12,
"issueBoardPosition": 42,
"issueStatusPosition": 42
}
]Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Query Parameters
Response
200 - application/json
Discussion collection

